$(document).ready(function() {

	$(document).on('click', '.button-advanced', function(e) {
		var name = $(e.target).closest('a').attr('name');
		if (name == undefined) {
			$('.modal').css('display','block');
			$('body').css('overflow', 'hidden');
		} else {
			$('.modal[name="' + name + '"]').css('display', 'block');
			$('body').css('overflow', 'hidden');
		}
	});
	$('.modal-close').click(function() {
		$('.modal').css('display','none');
		$('body').css('overflow', '');
	});
	window.onclick = function(e) {
		if ( $(e.target).is('.modal') ) {
			$('.modal').css('display','none');
			$('body').css('overflow', '');
		}
	}	

	$('#modal-container').on('change', '.database-input', function() {
		$('.modal-submit').prop('disabled', false);
	});
	
	$('#modal-container').on('click', '#modal-OK', function(e) {
		e.preventDefault();
		$('#ok-button').click();
	});
	$('#modal-container').on('click', '#modal-Cancel', function(e) {
		e.preventDefault();
		$('#cancel-button').click();
	});
	$('#modal-container').on('click', '#modal-Apply', function(e) {
		e.preventDefault();
		$('#apply-button').click();
	});
});
